Subject: Re: Getting Past 'command not found'
From: Earnie Boyd <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 18 Aug 2000 05:21:02 -0700 (PDT)

--- [email-masked] wrote:
>  
> My directories look like this:-
>  
> D:/cygwin
>               /bin
>               /etc
>                    /setup
>               /home
>                       /gbaillie
>               /lib
>                   /ld/scripts
>               /tmp
>               /usr
>                    /many sub directories
>               /var
>                    /tmp
>                    /run
>  
> cygwin.bat looks like this:-
> @echo off
> d:
> chdir \cygwin\bin
> set CYGHOME=//d/cygwin

Due to other changes below you can delete this line.

> set HOME=%CYGHOME%/home/gbaillie

Change this to `set HOME=/home/gbaillie'.

> set SHELL=//d/cygwin/bin/bash

If you want your batch shell to be bash this should be `set SHELL=/bin/bash'
but I suggest removing this.

> set LIBRARY_PATH=//d/cygwin/lib

If you need this variable, which I doubt that you do, the change this line to
`set LIBRARY_PATH=/lib'

> SET MAKE_MODE=unix
> SET PATH=D:\cygwin\bin;D:\cygwin\usr\local\bin;%PATH%
> 
> bash --login -i
>  
> My .profile shows confusion about whether to use SET or EXPORT for PATH and 
> what does cygdrive mean?:-
> $ cat .profile
> set PATH=//d/cygwin/bin:.

This won't do anything.  Delete it.

> export PATH=/usr/bin:/bin:/cygdrive/c/windows:.

Since you've set it in the batch file above you could remove this.

> unset MAILCHECK
> set SHELL=//d/cygwin/bin/bash

The syntax is wrong.  You could delete this line or change it to `export
SHELL=/bin/bash'.

>  
> output from mount looks like this:-
> $ mount
> Device              Directory           Type         Flags
> d:\cygwin\bin       /bin                user         textmode
> d:\cygwin\bin       /usr/bin            user         textmode
> d:\cygwin\lib       /usr/lib            user         textmode
> d:\cygwin           /                   user         textmode
>  

You need to `umount /bin'.

> So currently I can do cd, pwd, mount, echo and cat, but NOT mkdir, ls, bash 
> info, awk and cron. Help with  "command not found" would be gratefully
> received.
>  

You're environment settings have most likely confused Cygwin.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]